{
    "general": {
        "language": "",
        "font": "Microsoft YaHei,9",
        "autostart": false,
        "auto_detection_windows_rect_top_level": true
    },
    "interface": {
        "display": {
            "tray_icon": "logo",
            "theme_color": "#0081FF"
        },
        "border_and_crosshair": {
            "border": {
                "color": "#0081FF",
                "width": 2
            },
            "crosshair": {
                "color": "#DF4187",
                "width": 1,
                "show": false
            }
        },
        "magnifier": {
            "color_value": "HEX",
            "no_sharp": false,
            "uppercase_hex": false,
            "show_usage_tips": true
        },
        "auto_detect_windows": {
            "algorithm": 0
        }
    },
    "recognition": {
        "extract_text": {
            "use_engine": "tencent_cloud",
            "baseline_range": 5,
            "account": {
                "tencent_cloud": {
                    "id": "",
                    "key": ""
                },
                "baidu_cloud": {
                    "id": "",
                    "key": ""
                }
            }
        },
        "image_translate": {
            "use_engine": "baidu_cloud",
            "tencent_cloud": {
                "id": "",
                "key": "",
                "souce_language": "auto",
                "target_language": "zh"
            },
            "baidu_cloud": {
                "id": "",
                "key": "",
                "souce_language": "auto",
                "target_language": "zh"
            },
            "youdao_cloud": {
                "id": "",
                "key": "",
                "souce_language": "auto",
                "target_language": "zh-CHS"
            }
        }
    },
    "pin": {
        "opacity": 100,
        "maximum_size": 10000
    },
    "output": {
        "image_quality": -1,
        "last_image_extension": "png",
        "last_dir": "",
        "manual_save": {
            "file_name": "Sunny_$yyyy-MM-dd_HH-mm-ss$.png",
            "remeber_last_image_extension": true
        },
        "quick_save": {
            "path": "",
            "show_notification": true
        },
        "auto_save": {
            "enable": false,
            "path": ""
        }
    },
    "shortcuts": {
        "disable": false,
        "delay_capture_time_s": 5,
        "capture": "F1",
        "delay_capture": "Ctrl+Shift+F1",
        "scroll_capture": "",
        "image_translate_capture": "Shift+F1",
        "extract_text_capture": "Alt+F1",
        "open_extract_text": "Ctrl+Shift+T"
    },
    "update": {
        "last_check_time": "",
        "enable_auto_check": true,
        "day": 1,
        "join_inside": true,
        "porxy": {
            "type": 0,
            "server": "",
            "port": 0,
            "url_down": "https://github.com/XMuli/SunnyPages/releases",
            "url_test1": "https://www.github.com",
            "url_test2": "https://www.baidu.com",
            "url_test3": "https://www.google.com"
        }
    },
    "about": {
        "first_run": true,
        "exe_path": "",
        "output_path": "",
        "info": {
            "name": "",
            "version": "",
            "arch_bit": "",
            "compiler": "",
            "compiler_id": "",
            "system": {
                "type": "",
                "editon": "",
                "version": ""
            },
            "time": ""
        }
    },
    "advanced": {
        "info": {
            "last_open":{
                "x": 0,
                "y": 0,
                "width": 1200,
                "height": 900
            },
            "ocr_split": {
                "left": 775,
                "right": 425
            }
        },
        "customize_ui_parameters": {},
        "non_ui_user_experience": {},
        "develpe_enginner": {}
    }
}
